## 3 `lastcomm` ¶

`lastcomm` prints out information about previously executed commands. If no arguments are specified, `lastcomm` will print info about all of the commands in the `acct` file (the record file). If called with a command name, user name, or tty name, only records containing those items will be displayed. For example, to find out which users used command ‘`a.out`’ and which users were logged into ‘`tty0`’, type:

`lastcomm a.out tty0`

This will print any entry for which ‘`a.out`’ or ‘`tty0`’ matches in any of the record’s fields (command, name, or tty). If you want to find only items that match ALL of the arguments on the command line, you must use the ’–strict-match’ option. For example, to list all of the executions of command ‘`a.out`’ by user ‘`root`’ on terminal ‘`tty0`’, type:

`lastcomm --strict-match a.out root tty0`

The order of the arguments is not important.

For each entry the following information is printed:

- command name of the process
- flags, as recorded by the system accounting routines:
  - S command executed by super-user
  - F command executed after a fork but without a following exec
  - C command run in PDP-11 compatibility mode (VAX only)
  - D command terminated with the generation of a core file
  - X command was terminated with the signal SIGTERM
- the name of the user who ran the process
- time the process started

### 3.1 Flags ¶

This program implements the features of regular u*x `lastcomm` with a few extra flags. When `lastcomm` is invoked without arguments, the output looks like this:

    nslookup         jberman  ttypb      0.03 secs Tue Feb 16 19:23
    comsat           root     __         0.03 secs Tue Feb 16 19:19
    uptime           ctilburg __         0.11 secs Tue Feb 16 19:23
    sh          F    ctilburg __         0.02 secs Tue Feb 16 19:23
    sleep            ctilburg __         0.02 secs Tue Feb 16 19:22
    ls               noel     ttyp4      0.19 secs Tue Feb 16 19:23

`--strict-match`

  Print only entries that match all of the arguments on the command line.

`--user name`

  List records for user with name. This is useful if you’re trying to match a username that happens to be the same as a command (e.g., `ed`).

`--command name`

  List records for command name.

`--tty name`

  List records for tty name.

`-f filename`
`--file filename`

  Read from the file filename instead of the system’s `acct` file.

`--ahz hz`

  Use this flag to tell the program what `AHZ` should be (in hertz). This option is useful if you are trying to view an `acct` file created on another machine which has the same byte order and file format as your current machine, but has a different value for `AHZ`.

`-p`
`--show-paging`

  Print paging statistics

`--debug`

  Print verbose internal information.

`--version`

  Print `lastcomm`’s version number.

`--help`

  Print `lastcomm`’s usage string and default locations of system files to standard output.